import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class adresspanel extends JPanel {
   private JPanel labelPanel, fieldsPanel;
   private String labels[] =
                 { "alfabe",
                "sira_no",
                "channel_no",
                "müşteri_tipi",
                "firma_açık_unvani",
                "fatura_adresi1",
                "fatura_adresi2",
                "fatura_adresi3",
                "telefon_1",
                "telefon_2",
                "telefon_3",
                "yetkili_kişi",
                "telefon_GSM",
                "email",
                "web",
                "ürün_sevk_adresi1",
                "ürün_sevk_adresi2",
                "banka_hesap1",
                "banka_hesap2",	
                "ek_not"};
   JTextField   alfabe,
                sira_no,
                channel_no,
                musteri_tipi,
                firma_acik_unvani,
                fatura_adresi1,
                fatura_adresi2,
                fatura_adresi3,
                telefon_1,
                telefon_2,
                telefon_3,
                yetkili_kisi,
                telefon_GSM,
                email,
                web,
                urun_sevk_adresi1,
                urun_sevk_adresi2,
                banka_hesap1,
                banka_hesap2,	
                ek_not; 

   public adrespanel()
   {  // Label
      labelPanel = new JPanel();
      labelPanel.setLayout(
                       new GridLayout( labels.length, 1 ) );
      ImageIcon ii = new ImageIcon( "images/icon.jpg" );
      for ( int i = 0; i < labels.length; i++ )
         labelPanel.add( new JLabel( labels[ i ], ii, 0) );
      // TextField panel
      fieldsPanel = new JPanel();
      fieldsPanel.setLayout(
                        new GridLayout( labels.length, 1 ) );
      sira_no = new JTextField( 20 );
      sira_no.setEditable( false );
      alfabe = new JTextField( 20 );
      fieldsPanel.add( alfabe );
      fieldsPanel.add( sira_no );
      
      channel_no = new JTextField( 20 );
      fieldsPanel.add( channel_no);
      
      musteri_tipi = new JTextField( 20 );
      fieldsPanel.add( musteri_tipi );
      
      firma_acik_unvani = new JTextField( 20 );
      fieldsPanel.add( firma_acik_unvani );
      
      fatura_adresi1 = new JTextField( 20 );
      fieldsPanel.add( fatura_adresi1 );
      
      fatura_adresi2 = new JTextField( 20 );
      fieldsPanel.add( fatura_adresi2 );
      
      fatura_adresi3 = new JTextField( 20 );
      fieldsPanel.add( fatura_adresi3 );
      
      telefon_1 = new JTextField( 20 );
      fieldsPanel.add( telefon_1 );
      
      telefon_2 = new JTextField( 20 );
      fieldsPanel.add( telefon_2 );
      
      telefon_3 = new JTextField( 20 );
      fieldsPanel.add( telefon_3 );
      
      yetkili_kisi = new JTextField( 20 );
      fieldsPanel.add( yetkili_kisi );
      
      telefon_GSM = new JTextField( 20 );
       fieldsPanel.add( telefon_GSM );
       
      email = new JTextField( 20 );
       fieldsPanel.add( email);
       
      urun_sevk_adresi1 = new JTextField( 20 );
      fieldsPanel.add( urun_sevk_adresi1 );
      urun_sevk_adresi2= new JTextField( 20 );
      fieldsPanel.add( urun_sevk_adresi2 );
      
      banka_hesap1 = new JTextField( 20 );
      fieldsPanel.add( banka_hesap1 );
      banka_hesap2 = new JTextField( 20 );
      fieldsPanel.add( banka_hesap2 );
      
      ek_not = new JTextField( 20 );
      fieldsPanel.add( ek_not );
      setLayout( new GridLayout( 1, 2 ) );
      add( labelPanel );
      add( fieldsPanel );
   }
}


